HomeGuidesAPI ReferenceChangelogPOS PaymentsOnline Payments
Home
API Reference

Create payment

Create a new in3 payment transaction. After receiving a HTTP status 201 you have to redirect the consumer to the url given in action.redirect.url. The id field in the response can be used in future calls as transactionId to reference this transaction (for instance in a refund).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Create in3 Transaction

returnUrls
object
required

URLs where the Consumer is redirected to after completing the transaction at its issuing bank or at the chosen payment method.

With this object we can redirect consumer to a dedicated page per payment result status. Either this object or the returnUrl field is mandatory.

invoice
object
required
date-time
length ≥ 20

ISO 8601 date and time. If left empty, the value defaults to 4 hours.

consumer
object
required

The person initiating the checkout, typically the buyer who places the order.

items
array of objects
required
length between 1 and 512

Items included in the order. We request both values 'vatAmount' and 'vatRate' to prevent errors.

items*

Item object that can be used to provide details of the items in the order.
This is only used by payment methods that support it, like Klarna and Riverty.

string
required
length between 1 and 50

Merchant Product identification. Each item code must be unique per transaction.

string
required
length ≤ 100

Additional item description.

integer
required
1 to 99999999

Unit price (including VAT) of the item, specified in the smallest currency subunit, as for example euro cents.

integer
required
1 to 1000000000

The number of items of this type.

integer
required
1 to 99999999

Total VAT amount of the orderline, specified in the smallest currency subunit as for example euro cents.

number
required
0 to 99.9

Percentage of VAT applied.
Only the first decimal value will be taken into account, the rest will be ignored.

string
length ≤ 50

A human readable name of the item.

webhooks
array of objects

Array of webhooks that enables receiving a web request once a given event occurs. We won't do preventive rate-limiting in order to have the highest throughput possible. However, we will honor 429 (Too-many-requests) responses per callback. We use the Retry-After header to retry after a certain period. If the header was not set we use our default exponential delay implementation.

webhooks
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json